> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# updateLabel

> Update an existing label



## OpenAPI

````yaml PUT /label/{id}
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /label/{id}:
    put:
      tags:
        - Labels
      summary: Update Label
      description: Update an existing label
      operationId: updateLabel
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                color:
                  type: string
              required:
                - name
                - color
      responses:
        '200':
          description: Label updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  color:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  taskId:
                    type: string
                    nullable: true
                  workspaceId:
                    type: string
                    nullable: true
                required:
                  - id
                  - name
                  - color
                  - createdAt
                  - taskId
                  - workspaceId
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````